datacache <- new.env(hash=TRUE, parent=emptyenv())

mapping250knsphsentrezg <- function() showQCData("mapping250knsphsentrezg", datacache)
mapping250knsphsentrezg_dbconn <- function() dbconn(datacache)
mapping250knsphsentrezg_dbfile <- function() dbfile(datacache)
mapping250knsphsentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
mapping250knsphsentrezg_dbInfo <- function() dbInfo(datacache)

mapping250knsphsentrezgORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "mapping250knsphsentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("HUMANCHIP_DB", "mapping250knsphsentrezg", "chip mapping250knsphsentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(mapping250knsphsentrezg_dbconn())
}

